/* ---------------------------------------------------
  :root カスタムプロパティ
--------------------------------------------------- */
:root {
	--design-width: 1366;
	--sp-design-width: 375;
	--base-font-size: 10;

	--gothic: "Noto Sans JP", sans-serif;
	--Alumni: "Alumni Sans", sans-serif;

	--blk: 25, 25, 25;
	--wht: 255, 255, 255;
	--pool-blu: 45, 181, 227;
	--pool-yel: 215, 169, 5;
	--garden-grn: 8, 145, 61;
	--stay-red: 196, 0, 69;
	--tea-org: 255, 109, 31;
	--beer-brn: 209, 141, 89;
	--cmn-gld: 198, 177, 124;
	--slide-blk: 0, 0, 0;
	--slide-gry: 131, 132, 132;
	--slide-lgy: 170, 170, 170;
	--slide-wht: 253, 254, 255;

	--pageTop-right: 1rem;
	--pageTop-bottom: 1rem;
}

/* ---------------------------------------------------
  HTML / BODY 基本
--------------------------------------------------- */
html {
	font-size: min(calc(var(--base-font-size) * 1px), calc(var(--base-font-size) * 100vw / var(--design-width)));
	scroll-behavior: smooth;
}

@media screen and (max-width: 768px) {
	html {
		font-size: calc(var(--base-font-size) * 100vw / var(--sp-design-width));
	}
}

body {
	background: rgb(var(--wht));
	line-height: 1.8;
	color: rgb(var(--blk));
	font-family: var(--gothic);
	font-feature-settings: "palt"1;
	letter-spacing: 0.05em;
	font-weight: 400;
}

:where(input, select, textarea, button, label) {
	background: none;
	color: inherit;
	font: inherit;
	border: none;
	outline: none;
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
}

:where(button, [type="button"], [type="submit"], [type="reset"], label[for]) {
	cursor: pointer;
}

:where(textarea) {
	resize: vertical;
}

:where(svg, video, iframe) {
	max-width: 100%;
}

:where(iframe) {
	display: block;
}

:where(a) {
	color: inherit;
	text-decoration: underline;
	transition: all 0.5s ease 0s;
}

:where(a:hover) {
	text-decoration: none;
	opacity: 0.6;
}
